classification
Title: sqlite3 path is hard coded in setup.py
Type: enhancement Stage:
Components: Installation Versions: Python 3.2
process
Status: closed Resolution: later
Dependencies: Superseder:
Assigned To: Nosy List: ericfrederich, loewis, terry.reedy
Priority: normal Keywords:

Created on 2008-07-29 20:42 by ericfrederich, last changed 2010-08-05 00:04 by terry.reedy. This issue is now closed.

Messages (6)
msg70411 - (view) Author: Eric L. Frederich (ericfrederich) Date: 2008-07-29 20:42
In setup.py, the paths that it searches for sqlite in is hard coded in a
list sqlite_inc_paths.

This should also search any path in either $PATH or $LD_LIBRARY_PATH.

This is necessary for non-default installations of sqlite for users
without root access, or for those with root access that have multiple
versions installed in different locations.
msg70416 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-07-30 03:45
User with non-standard search paths should edit Modules/Setup.
msg70429 - (view) Author: Eric L. Frederich (ericfrederich) Date: 2008-07-30 15:48
If we put the following one liner right after sqlite_inc_paths is
defined it will add include directories based on the PATH environment
variable.

sqlite_inc_paths.extend([re.sub('/bin[/]?$', '/include', p) for p in
os.environ.get('PATH', '').split(':')])
msg112648 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-03 18:30
Martin, should this be closed? fixed? won't fix? out-of-date?
The link to Modules/Setup does not work for py3k branch.
msg112668 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-08-03 20:36
Modules/Setup does not exist in the source repository, hence the link can't work (and never did). It's a file generated during the build.

This is an instance of a repeated request where people want Python to find their libraries in all kinds of places, either automatically, or via some command line setting. They either don't know about Modules/Setup, or find that insufficient.

IMO, it doesn't matter whether it stays opens or gets closed. As requested, it is still not resolved. I have no intention to work on it, and apparently nobody else does. However, "won't fix" isn't correct, either: if somebody contributed a reasonable patch, it might get fixed.
msg112929 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-05 00:04
If anyone reopens this, change the version to the then current trunk version if 3.2 is already out.
History
Date User Action Args
2015-04-03 15:01:40ned.deilyunlinkissue23858 superseder
2015-04-03 14:52:23ned.deilylinkissue23858 superseder
2010-08-05 00:04:44terry.reedysetstatus: open -> closed
versions: + Python 3.2, - Python 2.5
type: compile error -> enhancement
messages: + msg112929

resolution: later
2010-08-03 20:36:24loewissetmessages: + msg112668
2010-08-03 18:30:32terry.reedysetnosy: + terry.reedy
messages: + msg112648
2008-07-30 15:48:13ericfrederichsetmessages: + msg70429
2008-07-30 03:45:54loewissetnosy: + loewis
messages: + msg70416
2008-07-29 20:42:58ericfrederichcreate